// ============================================================
// Project				:JJsCityRPG
// Author				:JJstorm
// Description			        :RTB Prefs
// ============================================================
//this makes it easy to change prefs in-game.
if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::RTBR_ServerControl_Hook)
	{
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
	}
	
	// City Prefs
	RTB_registerPref("Require CityRPG Client-side","JJstorms CityRPG","$CityRPG::client::RequireClient","bool","GameMode_JJstormsCityRPG",$CityRPG::client::RequireClient,1, 1);
	RTB_registerPref("Pardon Cost", "JJstorms CityRPG", "$CityRPG::pref::demerits::pardonCost", "int 0 1000", "GameMode_JJstormsCityRPG", $CityRPG::pref::demerits::pardonCost, 0, 0);
	RTB_registerPref("Max Lots", "JJstorms CityRPG", "$CityRPG::pref::realestate::maxLots", "int 0 9999999", "GameMode_JJstormsCityRPG", $CityRPG::pref::realestate::maxLots, 0, 0);
	RTB_registerPref("Max Loan", "JJstorms CityRPG", "$CityRPG::pref::bank::MaxLoan", "int 0 999999999", "GameMode_JJstormsCityRPG", $CityRPG::pref::bank::MaxLoan, 0, 0);
	RTB_registerPref("Wallet Money Cap", "JJstorms CityRPG", "$CityRPG::pref::MaxMoney", "int 0 999999999", "GameMode_JJstormsCityRPG", $CityRPG::pref::MaxMoney, 0, 0);
	RTB_registerPref("Bank Money Cap", "JJstorms CityRPG", "$CityRPG::pref::bank::MaxMoney", "int 0 999999999", "GameMode_JJstormsCityRPG", $CityRPG::pref::bank::MaxMoney, 0, 0);
	RTB_registerPref("Min Bounty", "JJstorms CityRPG", "$CityRPG::pref::demerits::minBounty", "int 0 1000", "GameMode_JJstormsCityRPG", $CityRPG::pref::demerits::minBounty, 0, 0);
	RTB_registerPref("Start Cash", "JJstorms CityRPG", "$CityRPG::pref::players::startingCash", "int 0 1000", "GameMode_JJstormsCityRPG", $CityRPG::pref::players::startingCash, 0, 0);
	RTB_registerPref("Jailing Bonus", "JJstorms CityRPG", "$CityRPG::prices::jailingBonus", "int 0 75", "GameMode_JJstormsCityRPG", $CityRPG::prices::jailingBonus, 0, 0);
	RTB_registerPref("Reset Cost", "JJstorms CityRPG", "$CityRPG::prices::reset", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::prices::reset, 0, 0);
	RTB_registerPref("Tick Speed", "JJstorms CityRPG", "$CityRPG::tick::speed", "int 0 10", "GameMode_JJstormsCityRPG", $CityRPG::tick::speed, 0, 0);
	RTB_registerPref("Bank Interest", "JJstorms CityRPG", "$CityRPG::tick::interest", "string 4", "GameMode_JJstormsCityRPG", $CityRPG::tick::interest, 0, 0);
	RTB_registerPref("City Radio Name", "JJstorms CityRPG", "$CityRPG::pref::radioname", "string 20", "GameMode_JJstormsCityRPG", $CityRPG::pref::radioname, 0, 0);	
	RTB_registerPref("City Radio Frequency", "JJstorms CityRPG", "$CityRPG::pref::radiofreq", "string 5", "GameMode_JJstormsCityRPG", $CityRPG::pref::radiofreq, 0, 0);
	RTB_registerPref("Electric Ignors Admins", "JJstorms CityRPG", "$CityRPG::pref::PowerAdminProof", "bool", "GameMode_JJstormsCityRPG", $CityRPG::pref::PowerAdminProof, 0, 0);
	RTB_registerPref("Prices | Spawn Vehicle", "JJstorms CityRPG", "$CityRPG::prices::vehicleSpawn", "int 0 999999", "GameMode_JJstormsCityRPG", $CityRPG::prices::vehicleSpawn, 0, 0);
	RTB_registerPref("Prices | Brick Cost", "JJstorms CityRPG", "$CityRPG::prices::BrickCost", "int 0 1000", "GameMode_JJstormsCityRPG", $CityRPG::prices::BrickCost, 0, 0);
	RTB_registerPref("Prices | Resource Price", "JJstorms CityRPG", "$CityRPG::prices::resourcePrice", "int 0 1000", "GameMode_JJstormsCityRPG", $CityRPG::prices::resourcePrice, 0, 0);
	RTB_registerPref("Prices | Drivers License", "JJstorms CityRPG", "$CityRPG::prices::DriversLicense", "int 0 1000", "GameMode_JJstormsCityRPG", $CityRPG::prices::DriversLicense, 0, 0);
	RTB_registerPref("Prices | Lamp", "JJstorms CityRPG", "$CityRPG::pref::Light", "int 0 1000", "GameMode_JJstormsCityRPG", $CityRPG::pref::Light, 0, 0);
	RTB_registerPref("Prices | Light Bill", "JJstorms CityRPG", "$CityRPG::pref::lights", "int 0 1000", "GameMode_JJstormsCityRPG", $CityRPG::pref::lights, 0, 0);
	RTB_registerPref("Prices | Loan Taken Daily", "JJstorms CityRPG", "$CityRPG::pref::bank::LoanDayPay", "int 0 100", "GameMode_JJstormsCityRPG", $CityRPG::pref::bank::LoanDayPay, 0, 0);
	RTB_registerPref("Phones | Can Make Phone Calls", "JJstorms CityRPG", "$CityRPG::pref::cancall", "bool", "GameMode_JJstormsCityRPG", $CityRPG::pref::cancall, 0, 0);
	RTB_registerPref("Phones | Can Call Bricks", "JJstorms CityRPG", "$CityRPG::pref::cancallbricks", "bool", "GameMode_JJstormsCityRPG", $CityRPG::pref::cancallbricks, 0, 0);
	RTB_registerPref("Auto Saver | File name","JJstorms CityRPG","$CityRPG::AutoSaver::SaveFile","string 255","GameMode_JJstormsCityRPG",$CityRPG::AutoSaver::SaveFile,0,0);
	RTB_registerPref("Auto Saver | Loop time","JJstorms CityRPG","$CityRPG::AutoSaver::SaveTime","int 1 10","GameMode_JJstormsCityRPG",$CityRPG::AutoSaver::SaveTime,0,0);
	RTB_registerPref("Auto Saver | Save ownership","JJstorms CityRPG","$CityRPG::AutoSaver::SaveOwnership","bool","GameMode_JJstormsCityRPG",$CityRPG::AutoSaver::SaveOwnership,0,0);
	RTB_registerPref("Auto Saver | Save events","JJstorms CityRPG","$CityRPG::AutoSaver::SaveEvents","bool","GameMode_JJstormsCityRPG",$CityRPG::AutoSaver::SaveEvents,0,0);
	RTB_registerPref("Crime | Demerit Cost", "JJstorms CityRPG", "$CityRPG::pref::demerits::demeritCost", "int 0 10", "GameMode_JJstormsCityRPG", $CityRPG::pref::demerits::demeritCost, 0, 0);
	RTB_registerPref("Crime | Wanted Level", "JJstorms CityRPG", "$CityRPG::pref::demerits::wantedLevel", "int 0 300", "GameMode_JJstormsCityRPG", $CityRPG::pref::demerits::wantedLevel, 0, 0);
	RTB_registerPref("Crime | Hitting Innocents", "JJstorms CityRPG", "$CityRPG::demerits::hittingInnocents", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::hittingInnocents, 0, 0);
	RTB_registerPref("Crime | Attempted Murder", "JJstorms CityRPG", "$CityRPG::demerits::attemptedMurder", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::attemptedMurder, 0, 0);
	RTB_registerPref("Crime | Murder", "JJstorms CityRPG", "$CityRPG::demerits::murder", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::murder, 0, 0);
	RTB_registerPref("Crime | Breaking & Entering", "JJstorms CityRPG", "$CityRPG::demerits::breakingandentering", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::breakingandentering, 0, 0);
	RTB_registerPref("Crime | Tasing Innocents", "JJstorms CityRPG", "$CityRPG::demerits::tasingBros", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::tasingBros, 0, 0);
	RTB_registerPref("Crime | Placeing Bounty", "JJstorms CityRPG", "$CityRPG::demerits::bountyPlacing", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::bountyPlacing, 0, 0);
	RTB_registerPref("Crime | Claiming Bounty", "JJstorms CityRPG", "$CityRPG::demerits::bountyClaiming", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::bountyClaiming, 0, 0);
	RTB_registerPref("Crime | Pick Pocket", "JJstorms CityRPG", "$CityRPG::demerits::pickpocketing", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::pickpocketing, 0, 0);
	RTB_registerPref("Crime | Robbing Bank", "JJstorms CityRPG", "$CityRPG::demerits::bankRobbery", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::bankRobbery, 0, 0);
	RTB_registerPref("Crime | Grand Theft Auto", "JJstorms CityRPG", "$CityRPG::demerits::grandtheftauto", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::grandtheftauto, 0, 0);
	RTB_registerPref("Crime | Refusing To Pay Loan", "JJstorms CityRPG", "$CityRPG::demerits::RefuseLoan", "int 0 5000", "GameMode_JJstormsCityRPG", $CityRPG::demerits::RefuseLoan, 0, 0);
	
	// Rain Chances
	RTB_registerPref("Chance Of Rain In January","JJstorms CityRPG","$CityRPG::enviro::RainMonth1","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth1, 0, 1, "");
	RTB_registerPref("Chance Of Rain In Febuary","JJstorms CityRPG","$CityRPG::enviro::RainMonth2","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth2, 0, 1, "");
	RTB_registerPref("Chance Of Rain In March","JJstorms CityRPG","$CityRPG::enviro::RainMonth3","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth3, 0, 1, "");
	RTB_registerPref("Chance Of Rain In April","JJstorms CityRPG","$CityRPG::enviro::RainMonth4","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth4, 0, 1, "");
	RTB_registerPref("Chance Of Rain In May","JJstorms CityRPG","$CityRPG::enviro::RainMonth5","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth5, 0, 1, "");
	RTB_registerPref("Chance Of Rain In June","JJstorms CityRPG","$CityRPG::enviro::RainMonth6","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth6, 0, 1, "");
	RTB_registerPref("Chance Of Rain In July","JJstorms CityRPG","$CityRPG::enviro::RainMonth7","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth7, 0, 1, "");
	RTB_registerPref("Chance Of Rain In August","JJstorms CityRPG","$CityRPG::enviro::RainMonth8","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth8, 0, 1, "");
	RTB_registerPref("Chance Of Rain In September","JJstorms CityRPG","$CityRPG::enviro::RainMonth9","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth9, 0, 1, "");
	RTB_registerPref("Chance Of Rain In October","JJstorms CityRPG","$CityRPG::enviro::RainMonth10","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth10, 0, 1, "");
	RTB_registerPref("Chance Of Rain In November","JJstorms CityRPG","$CityRPG::enviro::RainMonth11","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth11, 0, 1, "");
	RTB_registerPref("Chance Of Rain In December","JJstorms CityRPG","$CityRPG::enviro::RainMonth12","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::RainMonth12, 0, 1, "");
	
	// Snow Chance
	RTB_registerPref("Chance Of Snow In January","JJstorms CityRPG","$CityRPG::enviro::SnowMonth1","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth1, 0, 1, "");
	RTB_registerPref("Chance Of Snow In Febuary","JJstorms CityRPG","$CityRPG::enviro::SnowMonth2","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth2, 0, 1, "");
	RTB_registerPref("Chance Of Snow In March","JJstorms CityRPG","$CityRPG::enviro::SnowMonth3","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth3, 0, 1, "");
	RTB_registerPref("Chance Of Snow In April","JJstorms CityRPG","$CityRPG::enviro::SnowMonth4","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth4, 0, 1, "");
	RTB_registerPref("Chance Of Snow In May","JJstorms CityRPG","$CityRPG::enviro::SnowMonth5","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth5, 0, 1, "");
	RTB_registerPref("Chance Of Snow In June","JJstorms CityRPG","$CityRPG::enviro::SnowMonth6","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth6, 0, 1, "");
	RTB_registerPref("Chance Of Snow In July","JJstorms CityRPG","$CityRPG::enviro::SnowMonth7","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth7, 0, 1, "");
	RTB_registerPref("Chance Of Snow In August","JJstorms CityRPG","$CityRPG::enviro::SnowMonth8","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth8, 0, 1, "");
	RTB_registerPref("Chance Of Snow In September","JJstorms CityRPG","$CityRPG::enviro::SnowMonth9","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth9, 0, 1, "");
	RTB_registerPref("Chance Of Snow In October","JJstorms CityRPG","$CityRPG::enviro::SnowMonth10","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth10, 0, 1, "");
	RTB_registerPref("Chance Of Snow In November","JJstorms CityRPG","$CityRPG::enviro::SnowMonth11","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth11, 0, 1, "");
	RTB_registerPref("Chance Of Snow In December","JJstorms CityRPG","$CityRPG::enviro::SnowMonth12","int 0 100","GameMode_JJstormsCityRPG",$CityRPG::enviro::SnowMonth12, 0, 1, "");
}
else
{
	$AutoSaver::SaveFile = "autosave";
	$AutoSaver::SaveTime = 10;
	$AutoSaver::SaveOwnership = 1;
	$AutoSaver::SaveEvents = 1;
}

