registerOutputEvent(fxDTSBrick, ifRPGWeather, "list Equals 0 NotEquals 1" TAB "list Clear 0 Rain 1 Snow 2", 1);
registerInputEvent(fxDTSBrick, "onRPGTrue", "Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame");
registerInputEvent(fxDTSBrick, "onRPGFalse", "Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame");
registerOutputEvent(fxDTSBrick, ifRPGDate, "int -1 60 -1" TAB "int 0 24 0" TAB "int 0 31 0" TAB "int 0 12 0", 1);
registerInputEvent("fxDTSBrick", "onCalled", "Self fxDTSBrick");
registerInputEvent("fxDTSBrick", "onSunrise", "Self fxDTSBrick");
registerInputEvent("fxDTSBrick", "onNightfall", "Self fxDTSBrick");
registerInputEvent("fxDTSBrick", "onSnowing", "Self fxDTSBrick");
registerInputEvent("fxDTSBrick", "onRaining", "Self fxDTSBrick");
registerInputEvent("fxDTSBrick", "onClear", "Self fxDTSBrick");

// If RPGWeather
function fxDTSBrick::ifRPGWeather(%brick, %RPGWmode, %RPGWeather, %client)
{

	//Set Currect Values
	if(%RPGWeather == 0)
	{
		%RPGW = "clear";
	}
	else if(%RPGWeather == 1)
	{
		%RPGW = "rain";
	}
	else if(%RPGWeather == 2)
	{
		%RPGW = "snow";
	}


	// Equals And Not Equals
	switch (%RPGWmode)
	{
		// Equals
		case 0:
			if ($CityRPG::enviro::CurrWeather $= %RPGW) {
				%brick.onRPGTrue(%client);
			}
			else
			{
				%brick.onRPGFalse(%client);
			}
		// Not Equals
		case 1:
			if ($CityRPG::enviro::CurrWeather !$= %RPGW) {
				%brick.onRPGTrue(%client);
			}
			else
			{
				%brick.onRPGFalse(%client);
			}
	}
}

// RPGTrue
function fxDTSBrick::onRPGTrue(%brick, %client)
{
	$inputTarget_self = %brick;
	$inputTarget_client = %client;
	$inputTarget_player = %client.player;
	%miniGame = getMiniGameFromObject(%client);
	$inputTarget_miniGame = (isObject(%miniGame)) ? %miniGame : 0;
	%brick.processInputEvent("onRPGTrue", %client);
}

// RPGFalse
function fxDTSBrick::onRPGFalse(%brick, %client)
{
	$inputTarget_self = %brick;
	$inputTarget_client = %client;
	$inputTarget_player = %client.player;
	%miniGame = getMiniGameFromObject(%client);
	$inputTarget_miniGame = (isObject(%miniGame)) ? %miniGame : 0;
	%brick.processInputEvent("onRPGFalse", %client);
}

// ifRPGDate
function fxDTSBrick::ifRPGDate(%brick, %minute, %hour, %day, %month, %client)
{
	%test = true;
	// Minute
	if (%minute != -1)
		if (%minute != CalendarSO.min)
			%test = false;
	// Hour
	if (%hour != 0)
		if (%hour != CalendarSO.hour)
			%test = false;
	// Day
	if (%day != 0)
		if (%day != CalendarSO.day)
			%test = false;
	// Month
	if (%month != 0)
		if (%month != CalendarSO.month)
			%test = false;
	// And last check
	if (%test)
		%brick.onRPGTrue(%client);
	else
		%brick.onRPGFalse(%client);
}

// JVSOpen (Hack)
function fxDTSBrick::JVSOpen(%brick, %client)
{
	// Is door
	if(!isObject(%brick.shape))
		return 1;
	
	// Picking Admin Doors
	if(getBrickGroupFromObject(%brick).client.isAdmin)
	{
		if(%brick.isContentBlocked(%client, 1, "CW") <= 0)
		{
			%brick.contentUse(%client, 0, "START", "CW");
			%brick.schedule(3000, "contentUse", %client, 0, "STOP", "CW");
		}
		else if(%brick.isContentBlocked(%client, 1, "CCW") <= 0)
		{
			%brick.contentUse(%client, 0, "START", "CCW");
			%brick.schedule(3000, "contentUse", %client, 1, "STOP", "CCW");
		}
		else
		{
			return 0;
		}
		return 1;
	}
	else
	{
		// Picking Non-Admin Doors
		if(%brick.isContentBlocked(%client, 1, "CW") <= 0)
		{
			%brick.contentUse(%client, 0, "START", "CW");
			%brick.schedule(3000, "contentUse", %client, 0, "STOP", "CW");
		}
		else if(%brick.isContentBlocked(%client, 1, "CCW") <= 0)
		{
			%brick.contentUse(%client, 0, "START", "CCW");
			%brick.schedule(3000, "contentUse", %client, 1, "STOP", "CCW");
		}
		else
		{
			return 0;
		}
		
		return 1;
	}
}

// onCalled
function fxDTSBrick::onCalled(%obj,%c)
{
   $InputTarget_["Self"]   = %obj;
   %obj.processInputEvent("onCalled",%c);
}

// onSunrise
function fxDTSBrick::onSunrise(%obj,%c)
{
   $InputTarget_["Self"]   = %obj;
   %obj.processInputEvent("onSunrise",%c);
}

// onNightfall
function fxDTSBrick::onNightfall(%obj,%c)
{
   $InputTarget_["Self"]   = %obj;
   %obj.processInputEvent("onNightfall",%c);
}

// onSnowing
function fxDTSBrick::onSnowing(%obj,%c)
{
   $InputTarget_["Self"]   = %obj;
   %obj.processInputEvent("onSnowing",%c);
}

// onRaining
function fxDTSBrick::onRaining(%obj,%c)
{
   $InputTarget_["Self"]   = %obj;
   %obj.processInputEvent("onRaining",%c);
}

// onClear
function fxDTSBrick::onClear(%obj,%c)
{
   $InputTarget_["Self"]   = %obj;
   %obj.processInputEvent("onClear",%c);
}

// onEnterLot
function fxDTSBrick::onEnterLot(%brick, %obj)
{
	$inputTarget_self = %brick;
	
	$inputTarget_client = %obj.client;
	$inputTarget_player = %obj.client.player;
	
	$inputTarget_miniGame = (isObject(getMiniGameFromObject(%obj.client))) ? getMiniGameFromObject(%obj.client) : 0;
	
	%brick.processInputEvent("OnEnterLot", %obj.client);
}
registerInputEvent("fxDTSBrick", "onEnterLot", "Self fxDTSBrick" TAB "Player player" TAB "Client gameConnection");

// onLeaveLot
function fxDTSBrick::onLeaveLot(%brick, %obj)
{
	$inputTarget_self = %brick;
	
	$inputTarget_client = %obj.client;
	$inputTarget_player = %obj.client.player;
	
	$inputTarget_miniGame = (isObject(getMiniGameFromObject(%obj.client))) ? getMiniGameFromObject(%obj.client) : 0;
	
	%brick.processInputEvent("OnLeaveLot", %obj.client);
}
registerInputEvent("fxDTSBrick", "onLeaveLot", "Self fxDTSBrick" TAB "Player player" TAB "Client gameConnection");

// onTransferSuccess
function fxDTSBrick::onTransferSuccess(%brick, %client)
{
	$inputTarget_self	= %brick;
	$inputTarget_player	= %client.player;
	$inputTarget_client	= %client;
	
	%brick.processInputEvent("onTransferSuccess", %client);
}
registerInputEvent("fxDTSBrick", "onTransferSuccess", "Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection");

// onTransferDecline
function fxDTSBrick::onTransferDecline(%brick, %client)
{
	$inputTarget_self	= %brick;
	$inputTarget_client	= %client;
	
	// Repeated Service Offer Hack
	for(%i = 0; %i < %brick.numEvents; %i++)
	{
		if(%brick.eventInput[%i] $= "onTransferDecline" && (%brick.eventOutput[%i] $= "requestFunds" || %brick.eventOutput[%i] $= "sellItem" || %brick.eventOutput[%i] $= "sellFood"))
			%brick.eventEnabled[%i] = false;
	}
	
	%brick.processInputEvent("onTransferDecline", %client);
}
registerInputEvent("fxDTSBrick", "onTransferDecline", "Self fxDTSBrick" TAB "Client GameConnection");

// onJobTestPass
function fxDTSBrick::onJobTestPass(%brick, %client)
{
	$inputTarget_self	= %brick;
	$inputTarget_player	= %client.player;
	$inputTarget_client	= %client;
	
	%brick.processInputEvent("onJobTestPass", %client);
}
registerInputEvent("fxDTSBrick", "onJobTestPass", "Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection");

// onJobTestFail
function fxDTSBrick::onJobTestFail(%brick, %client)
{
	$inputTarget_self	= %brick;
	$inputTarget_player	= %client.player;
	$inputTarget_client	= %client;
	
	%brick.processInputEvent("onJobTestFail", %client);
}
registerInputEvent("fxDTSBrick", "onJobTestFail", "Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection");

// Request Funds
function fxDTSBrick::requestFunds(%brick, %serviceName, %fund, %client)
{	
	if(isObject(%client.player) && !%client.player.serviceOrigin  && isObject(%brick))
	{		
		%client.player.serviceOrigin = %brick;
		%client.player.serviceFee = %fund;
		%client.player.serviceType = "service";
		
		// commandToClient(%client,'MessageBoxYesNo',"Service","\c6Service \"\c3" @ %serviceName @ "\c6\" requests \c3$" @ %fund SPC "\c6.",serverCmdMessageBoxYes(%client));
		messageClient(%client,'',"\c6Service \"\c3" @ %serviceName @ "\c6\" requests \c3$" @ %fund SPC "\c6.");
		messageClient(%client,'',"\c6Accept with \c3/yes\c6, decline with \c3/no\c6.");
	}
	else if(%client.player.serviceOrigin && %client.player.serviceOrigin != %brick)
	{
		messageClient(%client, '', "\c6You already have a charge request from another service! Type \c3/no\c6 to reject it.");
	}
}
registerOutputEvent("fxDTSBrick", "requestFunds", "string 80 200" TAB "int 1 9000 1");

// messageBoxOK
registerOutputEvent("GameConnection", "messageBoxOK", "string 30 50" TAB "string 80 500");

// sellFood
function fxDTSBrick::sellFood(%brick, %portion, %food, %markup, %client)
{
	if(isObject(%client.player) && !%client.player.serviceOrigin  && isObject(%brick))
	{
		%client.player.serviceType = "food";
		%client.player.serviceItem = %food;
		%client.player.serviceSize = %portion;
		%client.player.serviceFee = (5 * %portion - mFloor(%portion * 0.75)) +  %markup;
		%client.player.serviceMarkup = %markup;
		%client.player.serviceOrigin = %brick;
		
		messageClient(%client,'','\c6A service is offering to feed you %1 \c3%2\c6 portion of \c3%3\c6 for \c3$%4\c6.', CityRPG_DetectVowel($CityRPG::portion[%portion]), strreplace($CityRPG::portion[%portion], "_", " "), %food, %client.player.serviceFee);
		messageClient(%client,'',"\c6Accept with \c3/yes\c6, decline with \c3/no\c6.");
	}
	else if(%client.player.serviceOrigin && %client.player.serviceOrigin != %brick)
		messageClient(%client, '', "\c6You already have a charge request from another service! Type \c3/no\c6 to reject it.");
}
for(%a = 1; $CityRPG::portion[%a] !$= ""; %a++)
{
	%sellFood_Portions = %sellFood_Portions SPC $CityRPG::portion[%a] SPC %a;
}
registerOutputEvent("fxDTSBrick", "sellFood", "list" @ %sellFood_Portions TAB "string 45 100" TAB "int 1 50 1");


// sellclothes
function fxDTSBrick::sellClothes(%brick, %item, %markup, %client)
{
	if(isObject(%client.player) && !%client.player.serviceOrigin  && isObject(%brick))
	{
		%client.player.serviceType = "clothes";
		%client.player.serviceItem = %item;
		%client.player.serviceFee = %markup;
		%client.player.serviceMarkup = %markup;
		%client.player.serviceOrigin = %brick;
		
		messageClient(%client,'', '\c6A clothing service is offering to dress you in %1 \c3%2 \c6for \c3$%3\c6.', CityRPG_DetectVowel(ClothesSO.sellName[%item]), ClothesSO.sellName[%item], %client.player.serviceFee);
		messageClient(%client,'', "\c6Accept with \c3/yes\c6, decline with \c3/no\c6.");
	}
	else if(%client.player.serviceOrigin && %client.player.serviceOrigin != %brick)
		messageClient(%client, '', "\c6You already have a charge request from another service! Type \c3/no\c6 to reject it.");
}

// doJobTest
function fxDTSBrick::doJobTest(%brick, %job, %job2, %convicts, %client)
{
	%convictStatus = getWord(CityRPGData.getData(%client.bl_id).valueJailData, 1);
	
	if(!%job && !%job2 && (%convicts ? (!%convictStatus ? true : false) : true))
		%brick.onJobTestPass(%client);
	else if((CityRPGData.getData(%client.bl_id).valueJobID == %job || CityRPGData.getData(%client.bl_id).valueJobID == %job2) &&
		(%convicts ? (!%convictStatus ? true : false) : true))
		%brick.onJobTestPass(%client);
	else
		%brick.onJobTestFail(%client);
}
for(%b = 1; isObject(JobSO.job[%b]); %b++)
{
	if(strlen(JobSO.job[%b].name) > 7)
		%jobName = getSubStr(JobSO.job[%b].name, 0, 6) @ ".";
	else
		%jobName = JobSO.job[%b].name;
	
	%doJobTest_List = %doJobTest_List SPC strreplace(%jobName, " ", "") SPC %b;
}
registerOutputEvent("fxDTSBrick", "doJobTest", "list NONE 0" @ %doJobTest_List TAB "list NONE 0" @ %doJobTest_List TAB "bool");

// Sell Item
function fxDTSBrick::sellItem(%brick, %item, %markup, %client)
{
	if(isObject(%client.player) && !%client.player.serviceOrigin  && isObject(%brick))
	{
		%name = $CityRPG::prices::weapon::name[%item].uiName;
		
		if(CitySO.minerals >= $CityRPG::prices::weapon::mineral[%item])
		{
			%client.player.serviceType = "item";
			%client.player.serviceItem = %item;
			%client.player.serviceFee = $CityRPG::prices::weapon::price[%item] + %markup;
			%client.player.serviceMarkup = %markup;
			%client.player.serviceOrigin = %brick;
			
			messageClient(%client,'',"\c6A service is offering to sell you one \c3" @ %name SPC "\c6for \c3$" @ %client.player.serviceFee SPC "\c6.");
			messageClient(%client,'',"\c6Accept with \c3/yes\c6, decline with \c3/no\c6.");
		}
		else
			messageClient(%client, '', '\c6A service is trying to offer you %1 \c3%2\c6, but the city needs \c3%3\c6 more minerals to produce it!', CityRPG_DetectVowel(%name), %name, ($CityRPG::prices::weapon::mineral[%item] - CitySO.minerals));
	}
	else if(%client.player.serviceOrigin && %client.player.serviceOrigin != %brick)
		messageClient(%client, '', "\c6You already have a charge request from another service! Type \c3/no\c6 to reject it.");
}
for(%c = 1; isObject($CityRPG::prices::weapon::name[%c]); %c++)
{
	%sellItem_List = %sellItem_List SPC strreplace($CityRPG::prices::weapon::name[%c].uiName, " ", "") SPC %c;
}
registerOutputEvent("fxDTSBrick", "sellItem", "list" @ %sellItem_List TAB "int 1 500 1");

// Sell Light
function fxDTSBrick::sellLight(%brick, %client)
{
	if(isObject(%client.player) && !%client.player.serviceOrigin  && isObject(%brick))
	{
		%client.player.serviceType = "light";
		%client.player.serviceFee = $CityRPG::prices::Light;
		%client.player.serviceOrigin = %brick;
		
		messageClient(%client,'',"\c6A service is offering to sell a \c3light \c6for \c3$" @ %client.player.serviceFee SPC "\c6.");
		messageClient(%client,'',"\c6Accept with \c3/yes\c6, decline with \c3/no\c6.");
	}
	else if(%client.player.serviceOrigin && %client.player.serviceOrigin != %brick)
		messageClient(%client, '', "\c6You already have a charge request from another service! Type \c3/no\c6 to reject it.");
}
registerOutputEvent("fxDTSBrick", "sellLight");

// Update Event Tables
for(%d = 0; %d < ClientGroup.getCount(); %d++)
{
	%subClient = ClientGroup.getObject(%d);
	serverCmdRequestEventTables(%subClient);
	messageClient(%subClient, '', "\c6Your Event Tables have been updated. If you do not know what that means, ignore this message.");
}
